%global pypi_name pytest-expect

Summary:        py.test plugin to store test expectations and mark tests based on them
Name:           python-%{pypi_name}
Version:        1.1.0
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/gsnedders/pytest-expect
Source0:        %pypi_source
Source1:        %{url}/raw/%{version}/LICENSE

Patch0001:      %{url}/pull/16.patch

BuildRequires:  python3-devel

BuildArch:      noarch

%description
A py.test plugin that stores test expectations by saving the set of failing
tests, allowing them to be marked as xfail when running them in future.
The tests expectations are stored such that they can be distributed alongside
the tests.


%package -n     python3-%{pypi_name}
Summary:        py.test plugin to store test expectations and mark tests based on them

%description -n python3-%{pypi_name}
A py.test plugin that stores test expectations by saving the set of failing
tests, allowing them to be marked as xfail when running them in future.
The tests expectations are stored such that they can be distributed alongside
the tests.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
cp -p %{SOURCE1} .
%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_expect


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Miaojun Dong <zoedong@tencent.com> - 1.1.0-1
- initial build
